[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomRadioGroup.UpdateInternalObjectList

Calls the private UpdateItems method to add or remove radio buttons for the grouped control.

## Declaration

Source position: extctrls.pp line 752

`protected procedure TCustomRadioGroup.UpdateInternalObjectList;`

## Description

Called from the Changed method in Items when a string value is added to or removed from the property and EndUpdate has been called for the string list.

## See also

TCustomRadioGroup.Items |  | Contains the captions for the radio button displayed in the control.
TCustomRadioGroup.UpdateAll |  | Updates the radio buttons and the number of radio buttons per line for the control.